Bug 1566071 - Cinder backup uses os_brick to create a nfs share for backup and fails creating subdirectories
Summary: Cinder backup uses os_brick to create a nfs share for backup and fails creati...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: z5
: 11.0 (Ocata)
Assignee: Pranali Deore
QA Contact: Avi Avraham
Kim Nylander
URL:
Whiteboard:
Depends On: 1566091
Blocks: 1489127
TreeView+ depends on / blocked
 
Reported: 2018-04-11 13:11 UTC by Pranali Deore
Modified: 2018-05-18 16:50 UTC (History)
15 users (show)

Fixed In Version: openstack-cinder-10.0.6-24.el7ost
Doc Type: Bug Fix
Doc Text:
The Cinder Backup service's NFS backend assumed that the NFS server has been configured to allow the Backup service to create files and directories on the server. The Backup service runs as a non-privileged 'cinder' user, and this requires file permissions and ownership on the server be set correctly. This caused backups to fail if the NFS server wasn't configured to allow the 'cinder' user to create files and directories. With this update, when initializing the NFS backend, the Backup service checks whether the server's permissions and directory ownership are correct. The permissions and directory ownership are updated automatically to ensure the Backup service works correctly.
Clone Of: 1489127
Environment:
Last Closed: 2018-05-18 16:48:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1715456 None None None 2018-04-11 13:11:29 UTC
OpenStack gerrit 524728 'None' MERGED Solving permission errors due to directory ownership on NFS 2020-06-16 12:42:06 UTC
Red Hat Product Errata RHBA-2018:1611 None None None 2018-05-18 16:50:10 UTC

Comment 6 Tzach Shefi 2018-05-08 08:56:52 UTC
Verified on:
openstack-cinder-10.0.6-24.el7ost.noarch

Verification steps:
1. Created a cinder volume (lvm in my case) 
cinder create 1 

2. Configure Cinder backup with NFS backend, restart backup service. 

3. Backup that Cinder volume. 

cinder backup-create 9fb34404-8167-40df-87ff-f705d3441772 --name nfsbackup
+-----------+--------------------------------------+
| Property  | Value                                |
+-----------+--------------------------------------+
| id        | 4cfbb1a4-bed2-4594-9509-89c5d02ed230 |
| name      | nfsbackup                            |
| volume_id | 9fb34404-8167-40df-87ff-f705d3441772 |
+-----------+--------------------------------------+

4. Backup successfully created / available. 

5. On NFS server/folder, I see a new folder was just created->
drwxr-xr-x. 5 cinder cinder          49 מאי  8 11:39 4c

Comment 9 errata-xmlrpc 2018-05-18 16:48:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1611


Note You need to log in before you can comment on or make changes to this bug.